/*
 *  Copyright (C) 2003  Robert Paciorek
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef __LED_H__
#define __LED_H__

//! Keyboard LED Animation class.

#include <SerialPort.h>
#include <unistd.h>

class LEDAnimation {
	public:
		//! Constructor
				LEDAnimation();
		//! Destructor
				~LEDAnimation();
		//!Start LED animation.
		void	Start();
		//!Stop LED animation.
		void	Stop();
		void	NewStop();
		//! Check animation thread is running.
		bool	IsRunning() const {return fRunning;}
	private:
		//!Anination thread.
		static	int32			exit_loop(void *data);
		//!Lihting thread ID.
		thread_id			fThread;
		//!Thread running flag.
		volatile bool	fRunning;
};

#endif
